-------------------------------------------------------------------------------------
-- | Namespace Definitions |---------------------------------------------------------
-------------------------------------------------------------------------------------

-- Retrieve the addon name and the namespace table.
local addon, npcg = ...

local functua 	= npcg.functua

local generator = { }
local data = { }
local tests = { }

-- generators and data do not exist yet
npcg.generators.gender	= generator
npcg.data.gender				= data
npcg.tests.gender				= tests

local genders = functua.mergeTables(
	functua.replicate(10, 	"male"), 
	functua.replicate(10, "female"),
	       { "androgynous", "non-binary", }
)

-- generateRandomGender :: () -> Gender
function generateRandomGender()
	return functua.random.randomFrom(genders) or "Error: No options found!"
end

-- End of File.