-------------------------------------------------------------------------------------
-- | Namespace Definitions |---------------------------------------------------------
-------------------------------------------------------------------------------------

-- Retrieve the addon name (folder name) and the namespace table.
local addon, npcg = ...

local functua 	= npcg.functua
local stringLib = npcg.functua.string
local util 			= npcg.functua.util



function traitTemplate_OnLoad(self)
  self.Generator = function() return "" end
  self.ClearButton:SetScript(	"OnClick", function() self.EditBox:SetText("") end)
  --self.RollButton:SetScript(	"OnClick", function() self.EditBox:SetText(self.Generator()) end)
	self.SetTitle = function(self, title)
		self.Label:SetText(title)
	end
	self.GetValue = function() return self.EditBox:GetText()      end
  self.SetValue = function(x)       self.EditBox:SetText(x)     end
end

function traitTemplateExtraLong_OnLoad(self)
	self.SetTitle = function(self, title)
		self.Label:SetText(title)
	end
	self.GetValue = function(self, i) return self["EditBox"..i]:GetText() end
end

function traitTemplate_OnShow(self)
  
end

function traitTemplateExtraLong_OnShow(self)

end